Bug 854272 - [REST-API] No "size" parameter for "create vmpool"
[REST-API] No "size" parameter for "create vmpool"
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-restapi (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Ori Liel
Barak Dagan
virt
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-04 10:35 EDT by Dan Macpherson
Modified: 2014-07-13 19:18 EDT (History)
10 users (show)

See Also:
Fixed In Version: si20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 14:59:46 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Macpherson 2012-09-04 10:35:50 EDT
Description of problem:
There doesn't seem to be a "size" parameter for the vmpool collection. Thus, you can't specify a size of a pool.


Version-Release number of selected component (if applicable):
ovirt-engine-cli-3.1.0.8-1


How reproducible:
Always


Steps to Reproduce:
1. Using ovirt-shell and connect
2. Type "create vmpool" then double TAB
3. No "size" parameter
4. Type "create vmpool --help" -- no size parameter listed

  
Actual results:
No "size" paramater.


Expected results:
A "size" parameter, as specified in the REST API


Additional info:
Comment 2 Michal Skrivanek 2012-10-03 14:53:04 EDT
http://gerrit.ovirt.org/#/c/8293/


merged u/s: 

  commit 27573d6ded24f648b1a55dea674324687c1c7e51
Comment 3 Oded Ramraz 2012-11-13 13:34:06 EST
Verified si24.1 
I managed to create large VM pool ( size=200 )

Note You need to log in before you can comment on or make changes to this bug.